---
type: api
title: Unclaims a link id
description: Unclaims the ownership of a link id.
url: https://www.elastic.co/docs/api/doc/cloud/operation/operation-unclaim-traffic-filter-link-id
resource: https://www.elastic.co/docs/api/doc/cloud/operation/operation-unclaim-traffic-filter-link-id
products:
  - Elastic Cloud Hosted
---

# Unclaims a link id

Authentication: none

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `POST` `/deployments/traffic-filter/link-ids/_unclaim`

## Description

Unclaims the ownership of a link id.

## Request body

The specification for traffic filter claimed link id.

`application/json`

- `link_id` (string) — optional
  Link id. A GCP private service connect ID or AWS VPC endpoint ID
- `azure_endpoint_name` (string) — optional
  Name of the Azure Private Endpoint to allow connections from
- `azure_endpoint_guid` (string) — optional
  Resource GUID of the Azure Private Endpoint to allow connections from
- `region` (string) — required
  The claimed link id can be used only for traffic filter in the specific region

## Responses

#### `200`

The claimed link id was successfully deleted.

`application/json`

Type: `object`

#### `400`

Error validating the request. (code: `traffic_filter_claimed_link_id.invalid_input`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `500`

Error deleting the traffic filter claimed link id. (code: `traffic_filter_claimed_link_id.request_execution_failed`)

`application/json`

- `errors` (object[])
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` (string[])
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code examples

#### curl

```curl
curl -X POST "https://api.elastic-cloud.com/api/v1/deployments/traffic-filter/link-ids/_unclaim" \
  -H "Content-Type: application/json" \
  -d '{
    "region": "string"
  }'
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{}
```

#### 400

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

#### 500

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "code": "string",
      "message": "string",
      "fields": [
        "string"
      ]
    }
  ]
}
```

